import 'dart:async';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

class ModernFormDetectorImplementation extends StatelessWidget {
  final GestureTapCallback? onTap;
  final Future<void> Function()? onLongPress;
  final Widget? child;
  final BorderRadius? borderRadius;

  const ModernFormDetectorImplementation({
    Key? key,
    this.onTap,
    this.onLongPress,
    this.child,
    this.borderRadius,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return InkWell(
      onTap: onTap,
      onLongPress: onLongPress,
      borderRadius: borderRadius,
      child: child,
    );
  }
}
