part of modern_form_core;

class ModernFormBottomSheetProfileModel {
  final String? imageUrl;
  final String? name;
  final String? description;
  final dynamic returnValue;

  ModernFormBottomSheetProfileModel(
      {this.description, this.imageUrl = "", this.name = "", this.returnValue});

  ModernFormBottomSheetProfileModel copyWith({
    String? imageUrl,
    String? name,
    String? description,
    dynamic returnValue,
  }) {
    return ModernFormBottomSheetProfileModel(
      imageUrl: imageUrl ?? this.imageUrl,
      name: name ?? this.name,
      description: description ?? this.description,
      returnValue: returnValue ?? this.returnValue,
    );
  }

  @override
  String toString() =>
      'ModernFormBottomSheetProfileItenModel(imageUrl: $imageUrl, name: $name, description: $description, returnValue: $returnValue)';

  @override
  bool operator ==(Object o) {
    if (identical(this, o)) return true;

    return o is ModernFormBottomSheetProfileModel &&
        o.imageUrl == imageUrl &&
        o.name == name &&
        o.description == description &&
        o.returnValue == returnValue;
  }

  @override
  int get hashCode =>
      imageUrl.hashCode ^
      name.hashCode ^
      returnValue.hashCode ^
      description.hashCode;
}
