import 'package:flick_video_player/flick_video_player.dart';
import 'package:modern_form/modern_form_core.dart';
import 'package:modern_form/modern_form_videos.dart';
import 'package:video_player/video_player.dart';

class ModernFormViewVideoPlatformHelper {
  static FlickManager? flickManager(
      String? url, String? path, void Function()? onError) {
    FlickManager? flickManager;

    if (url != null && url.isNotEmpty) {
      flickManager = FlickManager(
        videoPlayerController: VideoPlayerController.network(url),
        autoPlay: false,
      );
    }
    return flickManager;
  }

  static void shareUrl(String url) async {
    ModernFormLinksHelper.shareText(url);
  }

  static void shareArquive(String path, String url) async {
    ModernFormVideoHelper.shareVideoFromUrl(url, "");
  }

  static Future<void> downloadArquive(String url) async {
    await ModernFormVideoHelper.downloadWithProgress(url);
  }

  static Future<void> deleteArquive(String path) async {}
}
