part of modern_form_videos;

class ModernFormViewVideosModel {
  String? url;
  String? path;
  bool? shareArquiveEnabled;

  ModernFormViewVideosModel({
    this.url,
    this.path,
    this.shareArquiveEnabled,
  });

  ModernFormViewVideosModel copyWith({
    String? url,
    String? path,
    bool? shareArquiveEnabled,
  }) {
    return ModernFormViewVideosModel(
      url: url ?? this.url,
      path: path ?? this.path,
      shareArquiveEnabled: shareArquiveEnabled ?? this.shareArquiveEnabled,
    );
  }

  @override
  String toString() =>
      'ModernFormViewVideosModel(url: $url, path: $path, shareArquiveEnabled: $shareArquiveEnabled)';

  @override
  bool operator ==(Object other) {
    if (identical(this, other)) return true;

    return other is ModernFormViewVideosModel &&
        other.url == url &&
        other.path == path &&
        other.shareArquiveEnabled == shareArquiveEnabled;
  }

  @override
  int get hashCode =>
      url.hashCode ^ path.hashCode ^ shareArquiveEnabled.hashCode;
}
